<template>
  <div class="post-card">
    <p>ID: {{ post.id }}</p>
    <h2>{{ post.title }}</h2>
    <p>{{ post.body }}</p>
  </div>
</template>

<script>
export default {
  name: 'Post',
  props: {
    post: Object,
  },
};
</script>

<style>
.post-card {
  border-radius: 5px;
  border: 1px solid lightgray;
  margin-bottom: 20px;
  margin-left: 25%;
  padding: 10px;
  width: 50%;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.post-card:last-child {
  margin-bottom: 0;
}
</style>
